package cn.ysk.cashier.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author lyf
 *
 */
@Data
public class SumDateVO {
    private String tradeDay;
    private BigDecimal orderAmount;
    private BigDecimal actualAmount;
    private BigDecimal discountAmount;

    public SumDateVO() {

    }

    public SumDateVO(String tradeDay, BigDecimal orderAmount, BigDecimal actualAmount, BigDecimal discountAmount) {
        this.tradeDay = tradeDay;
        this.orderAmount = orderAmount;
        this.actualAmount = actualAmount;
        this.discountAmount = discountAmount;
    }

    public String getTradeDay() {
        return tradeDay;
    }

    public void setTradeDay(String tradeDay) {
        this.tradeDay = tradeDay;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
    }

    public BigDecimal getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(BigDecimal discountAmount) {
        this.discountAmount = discountAmount;
    }
}
